> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.box/llms.txt
> Use this file to discover all available pages before exploring further.

# 提升音乐风格

这是V4\_5的独特功能。V4\_5的风格功能已经得到显著增强，正如官方网站所述：

> 新4.5模型的众多优势之一是它能够适应更详细的风格指令。在之前的模型中，必须优先考虑具体的流派和风格细节，但现在的指令可以包含更具对话性的提示。
>
> 之前，最佳效果可能通过这样的提示词实现：'深度浩室，情感，旋律。'
>
> 现在，您可以提供这样的提示：'创作一首富有旋律性和情感的深度浩室歌曲，融入有机质感和催眠节奏。从柔和的环境音层、自然声音和稳定的律动开始。逐渐叠加流动的旋律合成器、温暖的低音线条，以及精致、细腻的打击乐。'

'风格提升'功能将显著增强用户描述和控制风格的能力。推荐使用此功能。

### 参数说明

* content：必填，字符串类型。需包含风格描述。


## OpenAPI

````yaml cn/suno-api/suno-api-cn.json POST /api/v1/style/generate
openapi: 3.0.0
info:
  title: intro
  description: 这是生成音频的API接口文档
  version: 1.0.0
  contact:
    name: 技术支持
    email: support@api.box
servers:
  - url: https://apibox.erweima.ai
    description: API 服务器
security:
  - BearerAuth: []
tags:
  - name: Music Generation
    description: 用于创建和管理音乐生成任务的接口
  - name: Lyrics Generation
    description: 用于歌词生成和管理的接口
  - name: WAV Conversion
    description: 用于将音乐转换为WAV格式的接口
  - name: Vocal Removal
    description: 用于从音乐轨道中移除人声的接口
  - name: Music Video Generation
    description: 用于生成MP4视频的接口
  - name: Account Management
    description: 用于账户和积分管理的接口
  - name: Audio Enhancement
    description: 用于增强和修改现有音频的伴奏和人声元素的接口
paths:
  /api/v1/style/generate:
    post:
      summary: 提升音乐风格
      operationId: boost-music-style
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - content
              properties:
                content:
                  type: string
                  description: 风格描述。请用简洁明了的语言描述你期望生成的音乐风格。示例：'Pop, Mysterious'。
                  example: Pop, Mysterious
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          taskId:
                            type: string
                            description: 任务ID
                          param:
                            type: string
                            description: 调用参数
                          result:
                            type: string
                            description: 最终生成的音乐风格文本结果。
                          creditsConsumed:
                            type: number
                            description: 消耗的credits，最多5位，最多2位小数
                          creditsRemaining:
                            type: number
                            description: 执行完此次任务剩余多少credits
                          successFlag:
                            type: string
                            description: '执行结果: 0:待执行 1:成功 2:失败'
                          errorCode:
                            type: number
                            description: 错误码
                          errorMessage:
                            type: string
                            description: 错误信息
                          createTime:
                            type: string
                            description: 创建时间
        '500':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        code:
          type: integer
          description: |-
            # 状态码说明

            - ✅ 200 - 请求成功
            - ⚠️ 400 - 参数错误
            - ⚠️ 401 - 没有访问权限
            - ⚠️ 404 - 请求方式或者路径错误
            - ⚠️ 405 - 调用超过限制
            - ⚠️ 413 - 主题或者prompt过长
            - ⚠️ 429 - 积分不足
            - ⚠️ 430 - 您的调用频率过高。请稍后再试。
            - ⚠️ 455 - 网站维护
            - ❌ 500 - 服务器异常
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 404
            - 405
            - 413
            - 429
            - 430
            - 455
            - 500
        msg:
          type: string
          description: 当 code != 200 时，展示错误信息
          example: success
  responses:
    Error:
      description: 服务器异常
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        # 🔑 API 认证说明

        所有接口都需要通过 Bearer Token 方式进行认证。

        ## 获取 API Key

        1. 访问 [API Key 管理页面](https://api.box/api-key) 获取您的 API Key

        ## 使用方式

        在请求头中添加：

        ```
        Authorization: Bearer YOUR_API_KEY
        ```

        > **⚠️ 注意：**
        > - 请妥善保管您的 API Key，不要泄露给他人
        > - 如果怀疑 API Key 泄露，请立即在管理页面重置

````